KPACKAGETOOL6(1)

NOM
kpackagetool6 - Installer, lister, supprimer des paquets de Plasma

SYNOPSIS

kpackagetool6 [-v, --version] [-h, --help] [--hash emplacement] [-g, --global] [-t, --type type] [-i, --install emplacement] [-s, --show nom] [-u, --upgrade emplacement] [-l, --list] [--list-types] [-r, --remove nom] [-p, --packageroot emplacement] [--generate-index]

DESCRIPTION

kpackagetool6 est un outil en ligne de commandes pour installer, lister et supprimer des paquets de Plasma.

OPTIONS

-v, --version
    Affiche les informations.

-h, --help
    Affiche cette aide.

--hash emplacement
    Génère un somme de hachage SHA1 pour le paquet à l'« emplacement ».

-g, --global
    Pour installer ou supprimer, traite les paquets installés par les utilisateurs.

-t, --type type
    Le type de paquets, correspondant au type de service de module externe de paquets, par exemple KPackage / Générique, Plasma / Thème, Plasma / Fond d'écran, Plasma / Composant graphique, etc..

-i, --install emplacement
    Installer le paquet à « l'emplacement ».

-s, --show nom
    Affiche les informations sur le paquet « nom ».

-u, --upgrade emplacement
    Met à jour le paquet à l'« emplacement ».

-l, --list
    Liste les paquets installés.

--list-types
    Liste tous les types connus de paquets pouvant être installé

-r, --remove nom
    Supprime le paquet nommé « nom ».

-p, --packageroot emplacement
    Emplacement absolu de la racine du paquet. S'il n'est pas fourni, alors, les emplacements standards de données pour cette session de Plasma seront recherchés à la place.

--generate-index emplacement
    Re-génère l'index des modules externes. A utiliser en conjonction soit de l'option -t ou -g. Re-génère l'index pour le type donné ou une racine du paquet. Fonctionne dans le dossier de l'utilisateur, sauf si l'option -g est utilisée.

VOIR AUSSI

Une documentation utilisateur plus détaillée est disponible à l'adresse help:/plasma-desktop (soit, saisissez cette URL dans Konqueror ou lancer khelpcenter help:/plasma-desktop).

AUTEURS

kpackagetool6 a été écrit par Aaron Seigo <aseigo@kde.org>.